HMS(4)

NAME
hms - HID mouse driver

SYNOPSIS
To compile this driver into the kernel, place the following lines in your kernel configuration file:

device hms
device hidbus
device hid
device evdev

Alternatively, to load the driver as a module at boot time, place the following line in loader.conf(5):

    hms_load="YES"

DESCRIPTION
The hms driver provides support for HID mice that attach to the HID transport backend. See iichid(4) or usbhid(4). Supported are mice with any number of buttons, mice with a wheel and absolute mice.

The /dev/input/eventX device presents the mouse as a evdev type device.

SYSCTL VARIABLES
The following variable is available as both sysctl(8) variable and loader(8) tunable:

dev.hms.X.debug
    Debug output level, where 0 is debugging disabled and larger values increase debug message verbosity. Default is 0.

It default value is derived from loader(8) tunable:

hw.hid.hms.debug

FILES
/dev/input/eventX
    input event device node.

SEE ALSO
iichid(4), usbhid(4), xorg.conf(5) (ports/x11/xorg)

BUGS
hms cannot act like sysmouse(4)

AUTHORS
-nosplit The hms driver was written by Vladimir Kondratyev <wulf@FreeBSD.org>.

This manual page was originally written by Nick Hibma <n_hibma@FreeBSD.org> for umt(4) driver and was adopted for hms by Vladimir Kondratyev <wulf@FreeBSD.org>.